EUCA-CREATE-VOLUME(1)

NAME
euca-create-volume - Create a new volume

SYNOPSIS
euca-create-volume -z ZONE [-s GiB] [--snapshot SNAPSHOT] [-t VOLTYPE]

[-i IOPS] [--show-empty-fields] [-U URL]
    [--region USER@REGION] [-I KEY_ID] [-S KEY] [--security-token TOKEN] [--debug] [--debugger] [--version] [-h]

DESCRIPTION
Create a new volume

  optional arguments:

-z ZONE, --availability-zone ZONE
    availability zone in which to create the new volume (required)

-s GiB, --size GiB
    size of the new volume in GiB (required unless --snapshot is used)

--snapshot SNAPSHOT
    snapshot from which to create the new volume

-t VOLTYPE, --type VOLTYPE
    volume type

-i IOPS, --iops IOPS
    number of I/O operations per second

--show-empty-fields
    show empty values as "(nil)"

-U URL, --url URL
    compute service endpoint URL

--region USER@REGION
    region and/or user names to search when looking up config file data

-I KEY_ID, --access-key-id KEY_ID

-S KEY, --secret-key KEY

--security-token TOKEN

--debug
    show debugging output

--debugger
    launch interactive debugger on error

--version
    show the program's version and exit

-h, --help
    show this help message and exit